<?php
class utilTimestamp{
    /* devuelve o convierte la fecha y hora al formato del sistema */
    static function getTimestamp( $dTamestamp=null, $cFormat=null )
    {
        try 
        {
            $dReturn = null;
            if( $dTamestamp )
            {
            	if( $dTamestamp == '0000-00-00 00:00:00' )
            	{
            		$dTamestamp = "1910-01-01";
            	}
                $dReturn = preg_replace( '/:[0-9][0-9][0-9]/', '', $dTamestamp );
                if( $cFormat )
                {
                    $dReturn = strtotime( $dReturn );
                    if( $dReturn === -1 || $dReturn === false )
                    {
                    	throw new Exception( "'".$dTamestamp."' no tiene un formato de fecha válido." );
                    }
                    $dReturn = date( $cFormat, $dReturn );
                }
            }
        } 
        catch ( Exception $o_Error )
        {
            $s_MensajeError = $o_Error->getMessage();
            if( SF_DEBUG )
            {
                $a_Data = $o_Error->getTrace();
                if( isset( $a_Data[0] ) )
                {
                    $s_MensajeError .= $s_MensajeError." [file]".$a_Data[0]['file']." [line]".$a_Data[0]['line'];
                }
            }
            throw new Exception( $s_MensajeError );
        }
        return $dReturn;
    }
}